program main

	use globals
	use myproblem, only: inip

	implicit none
	
	! LOCAL SCALARS
	integer :: CGparam,outiter,nfev,ngev,inform
	real(kind=4) :: time
	
	! Define the CG method:
	
  !	CGparam = 1: Fletcher-Reeves method
  !	CGparam = 2: Conjugate Descent method
  !	CGparam = 3: Dai-Yuan method
  !	CGparam = 4: modified Dai-Yuan method
  !	CGparam = 5: Polak-Ribière-Polyak method
  !	CGparam = 6: Hestenes-Stiefel method
	
	CGparam = 6
	
	! Modify myproblem routine to solve your own problem
	! Alternatively, choose a test problem - see myproblem.f90
	
	problem = 2
	
	seed = 123456.0d0
	
	! Read the initial data of the problem
	
	call inip(n,m,x,scaleF,checkder)
	
	! Call NLCG

	call NLCGVO(CGparam,outiter,time,nfev,ngev,inform)

end program main
